<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/rank-history.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3>Historial de Rangos</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
<!--                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." name="q" id="q"/>
                        Registros:
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        Auto Rango:
                        <select name="auto" id="auto">
                            <option th:selected="${auto == null || (auto != null && auto == 'all')}" value="all">Todos</option>
                            <option th:selected="${auto != null && auto == 'true'}" value="true">Si</option>
                            <option th:selected="${auto != null && auto == 'false'}" value="false">No</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i> Buscar</button>
                    </div>-->
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th>Afiliado</th>
                                <th>Rango</th>
                                <th>Fecha</th>
                                <th>Descripcion</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td th:text="${item.member}"></td>
                                <td th:text="${item.rank}"></td>
                                <td th:text="${#dates.format(item.date, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.description}"></td>                                
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

